#{extends 'common/frontend-admin.html' /}
#{set 'title'}
<h1 class="content-management">Manajemen Konten</h1>
#{/set}
#{common.alert /}
<div class="container-fluid container-fixed-lg bg-white">
    <div class='btn-group'>
    <button type='button' class='btn btn-success btn-teal-monev dropdown-toggle' data-toggle='dropdown' aria-expanded='false'><i class="fa fa-plus"></i> Tambah Halaman
        <span class='sr-only'>Toggle Dropdown</span></button>
        <ul class='dropdown-menu' role='menu'>
        <li><a href='@{inputProfilekl()}'>Profile K/L/P/D</a></li>
        <li class="divider"></li>
        <li><a href='@{inputArtikelUmum()}'>Artikel Umum</a></li>
        <li class="divider"></li>
        <li><a href='@{inputVisualisasiTableau()}'>Visualisasi</a></li>
        </ul></div>
    <br/>
    <br/>
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <table id="table-content" class="table table-hover demo-table-dynamic table-responsive-block dataTable no-footer">
                        <thead>
                        <tr>
                            <th>No</th>
                            <th>Title</th>
                            <th>Author</th>
                            <th>Tipe</th>
                            <th>Dibuat</th>
                            <th>Status</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreStyles'}
<style >
div#table-content_paginate ul.pagination {float: right;}
div#table-content_filter {float: right;}
div#table-content_length .custom-select {height:auto !important;}
.main-header .navbar-custom-menu {position:absolute !important;right: 1vw !important;}
</style>
#{/set}
#{set 'moreScripts'}
<script type="text/javascript">
(function($) {
    'use strict';
    var responsiveHelper = undefined;
    var breakpointDefinition = {
        tablet: 1024,
        phone: 480
    };
    var initTable = function() {
        var settings = {
            lengthMenu: [5, 10, 25, 50, 100],
            "searching": true,
            "pageLength": 10,
            "ordering": true,
            "processing": true,
            "serverSide": true,
            "ajax": {
                url:"#{url route.cms_contentapicontroller_contentjson /}",
                dataSrc: 'data'
            },
            initComplete: function(){
                    var dtable = $("#table-content").dataTable().api();
			        var searchWait = 0;
			        var searchWaitInterval;
			        var itemSearch;
			        $('.dataTables_filter input').unbind('.DT').bind('keyup.DT', function(e) {
					    itemSearch = $(this).val();
					    searchWait = 0;
					    if(!searchWaitInterval) searchWaitInterval = setInterval(function(){
							if(searchWait>=3){
								clearInterval(searchWaitInterval);
								searchWaitInterval = '';
								dtable.search(itemSearch).draw();
								searchWait = 0;
							}
							searchWait++;
					    },300);
				    });
            },
            "order": [[ 4, "desc" ]],
            "sDom": "<'row'<f l>><t><'row'<p i>>",
            "aoColumnDefs": [
				{"sWidth": "5%", "aTargets": [0] },
				{"sWidth": "30%", "aTargets": [1] },
				{"sWidth": "20%", "aTargets": [2] },
				{"sWidth": "15%", "aTargets": [3] },
				{"sWidth": "10%", "aTargets": [4] },
                {"sWidth": "10%", "aTargets": [5] },
                {"sWidth": "10%", "aTargets": [6], "orderable": false },
			],
			columns: [
				null,null,null,null,null,null,null
			],
            "scrollCollapse": true,
            "oLanguage": {
                "sLengthMenu": "Tampilkan _MENU_ data",
            }
        };
        let table = $('#table-content').DataTable(settings);
        $(".dataTables_filter input")
            .unbind()
            .bind('keyup change', function(e) {
                if (e.keyCode === 13 || this.value === "") {
                    table.clear()
                    table
                        .search( this.value )
                        .draw();
                }
        });
        $('#search-table').keyup(function() {
            table.fnFilter($(this).val());
        });
    }
    initTable();
})(window.jQuery);
</script>
#{/set}
